/***************************************************************************
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __MFCC_H
#define __MFCC_H

#include "kiss_fft.h"

class mfcc {

public:
	double fs;
	int winlen;
	int winlen2;
	double *window;
	double lowfreq;
	double highfreq;
	int numfilters;
	int numcoefs;
	kiss_fft_cfg cfg;
	kiss_fft_cpx *infft;
	kiss_fft_cpx *outfft;
	double *filterbank;
	double *dct;
	double *amp;
	double *fbout;

public:
	mfcc( double set_fs, int set_winlen, double *set_window, double set_lowfreq, double set_highfreq, int set_numfilters, int set_numcoefs );
	~mfcc( void );
	void compute( double *in, double *out );
};

#endif
