%PCMDF Compute onset detection function
%   DF=PCMDF(X) returns the onset detection function of the input PCM
%   signal X (X must be one column vector) with default parameters.
%
%   DF=PCMDF(X,P) sets the paramaters (P must be a structure):
%   - P.method: 1,2, or 3. 1: complex spectral difference, 2: spectral
%   flux, 3: phase deviation. (Default: 1).
%   - P.winlen: analysis window length in samples (Default: 2048).
%   - P.hopsize: hop size in samples (Default: 1024).
%   - P.win: analysis window, must be a vector of size P.winlen (Default:
%   P.win=0.5*(1-cos(2*pi*(0:P.winlen-1)'/P.winlen))).
%   - P.thresh: bins where FFT amplitude is below P.thresh are removed.
%   (Default: -1 if method==1, 0.1 otherwise).
%   - P.upratio: upsampling ratio of the detection function (Default: 2).

%   Mex implementation in pcmdf.c