%PCMMFCC Compute Mel Frequency Cepstral Coefficients
%   C=PCMMFCC(X) returns the Mel Frequency Cepstral Coefficients of the
%   input PCM signal X (X must be one column vector) with default
%   parameters.
%
%   C=PCMMFCC(X,P) sets the paramaters (P must be a structure):
%   - P.fs: sample rate in Hz (Default: 44100).
%   - P.winlen: analysis window length in samples (Default: 1024).
%   - P.hopsize: hop size in samples (Default: 1024).
%   - P.win: analysis window, must be a vector of size P.winlen (Default:
%   P.win=0.54-0.46*cos(2*pi*(0:winlen-1)'/winlen)).
%   - P.lowfreq: lowest frequency of the first triangular filter (Default:
%   20 Hz).
%   - P.highfreq: highest frequency of the last triangular filter (Default:
%   16000 Hz).
%   - P.numfilters: total number of filters (Default: 40).
%   - P.numcoefs: number of output coefficients (Default: 13).

%   Mex implementation in pcmmfcc.c